## ros-kinetic-p2os-doc 2.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(p2os_doc)

find_package(catkin REQUIRED COMPONENTS)
catkin_package()

install(DIRECTORY 
   p2os_driver
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
 )

=== debian/changelog ===
ros-kinetic-p2os-doc (2.1.0-0xenial) xenial; urgency=high

  * Switch to format 2 (#48 <https://github.com/allenh1/p2os/issues/48>)
    * Update p2os_launch to package.xml format 2.
    * Update p2os_driver to package.xml format 2.
    * Update p2os_urdf to package.xml format 2.
    * Update p2os_teleop package.xml to format 2.
    * Update p2os_msgs to package.xml format 2.
    * Update p2os_doc to package.xml format 2.
  * Contributors: Hunter Allen

 -- Hunter L. Allen <hunter@openrobotics.org>  Tue, 01 Aug 2017 07:00:00 -0000

ros-kinetic-p2os-doc (2.0.7-0xenial) xenial; urgency=high

  * Updated changelog.
  * merged.
  * Updated package metadata, as well as added the correct c++ flags to the urdf file (for Gentoo support).
  * Contributors: Hunter L. Allen
  * merged.
  * Updated package metadata, as well as added the correct c++ flags to the urdf file (for Gentoo support).
  * Contributors: Hunter L. Allen

 -- Hunter L. Allen <hunter@openrobotics.org>  Tue, 30 May 2017 07:00:00 -0000

ros-kinetic-p2os-doc (2.0.6-0xenial) xenial; urgency=high

  * Updated p2os_doc email address.
  * Contributors: Hunter L. Allen

 -- Hunter Allen <allen286@purdue.edu>  Mon, 22 May 2017 07:00:00 -0000

ros-kinetic-p2os-doc (2.0.5-0xenial) xenial; urgency=high



 -- Hunter Allen <allen286@purdue.edu>  Thu, 26 May 2016 07:00:00 -0000

ros-kinetic-p2os-doc (2.0.4-0xenial) xenial; urgency=high



 -- Hunter Allen <allen286@purdue.edu>  Thu, 26 May 2016 07:00:00 -0000

ros-kinetic-p2os-doc (2.0.3-0xenial) xenial; urgency=high



 -- Hunter Allen <allen286@purdue.edu>  Sun, 25 Oct 2015 07:00:00 -0000

ros-kinetic-p2os-doc (2.0.2-0xenial) xenial; urgency=high



 -- Hunter Allen <allen286@purdue.edu>  Tue, 04 Aug 2015 07:00:00 -0000

ros-kinetic-p2os-doc (2.0.1-0xenial) xenial; urgency=high

  * Forgot to update my email on p2os_doc's package.xml file. Oops. It's better now.
  * Contributors: Hunter Allen

 -- Hunter Allen <allen286@purdue.edu>  Sat, 11 Jul 2015 07:00:00 -0000

ros-kinetic-p2os-doc (1.0.13-0xenial) xenial; urgency=high



 -- Hunter Allen <allen286@purdue.edu>  Sat, 02 May 2015 07:00:00 -0000

ros-kinetic-p2os-doc (1.0.12-0xenial) xenial; urgency=high

  * Updated to match indigo-devel
  * Contributors: Hunter Allen

 -- Hunter Allen <allen286@purdue.edu>  Wed, 25 Jun 2014 07:00:00 -0000

ros-kinetic-p2os-doc (1.0.11-0xenial) xenial; urgency=high

  * Added documentation package. Currently just the p2os_driver. Also removed a line in p2os_launch cmake list.
  * Contributors: Hunter Allen

 -- Hunter Allen <allen286@purdue.edu>  Wed, 25 Jun 2014 07:00:00 -0000

ros-kinetic-p2os-doc (1.0.10-0xenial) xenial; urgency=high



 -- Hunter Allen <allen286@purdue.edu>  Wed, 28 May 2014 07:00:00 -0000

ros-kinetic-p2os-doc (1.0.9-0xenial) xenial; urgency=high



 -- Hunter Allen <allen286@purdue.edu>  Sun, 18 Aug 2013 07:00:00 -0000

ros-kinetic-p2os-doc (1.0.7-0xenial) xenial; urgency=high



 -- Hunter Allen <allen286@purdue.edu>  Sat, 03 Aug 2013 07:00:00 -0000

ros-kinetic-p2os-doc (1.0.6-0xenial) xenial; urgency=high



 -- Hunter Allen <allen286@purdue.edu>  Sat, 27 Jul 2013 07:00:00 -0000

ros-kinetic-p2os-doc (1.0.5-0xenial) xenial; urgency=high



 -- Hunter Allen <allen286@purdue.edu>  Tue, 23 Jul 2013 23:31:00 -0000

ros-kinetic-p2os-doc (1.0.4-0xenial) xenial; urgency=high



 -- Hunter Allen <allen286@purdue.edu>  Tue, 23 Jul 2013 21:32:00 -0000

ros-kinetic-p2os-doc (1.0.2-0xenial) xenial; urgency=high



 -- Hunter Allen <allen286@purdue.edu>  Tue, 23 Jul 2013 16:17:00 -0000

ros-kinetic-p2os-doc (1.0.1-0xenial) xenial; urgency=high



 -- Hunter Allen <allen286@purdue.edu>  Mon, 22 Jul 2013 07:00:00 -0000

ros-kinetic-p2os-doc (1.0.0-0xenial) xenial; urgency=high



 -- Hunter Allen <allen286@purdue.edu>  Tue, 18 Jun 2013 19:26:00 -0000

=== debian/control ===
Source: ros-kinetic-p2os-doc
Section: misc
Priority: extra
Maintainer: Hunter L. Allen <hunter@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: http://ros.org/wiki/p2os-purdue
Standards-Version: 3.9.2

Package: ros-kinetic-p2os-doc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: Contains the Documentation for the p2os driver/componenets

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-p2os-doc//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
